{
   "format_version":"1.21.0",
   "animation_controllers":{
      "controller.animation.mk16_scope_6x_player":{
         "initial_state":"default",
         "states":{
            "default":{
               "transitions":[
                  {
                     "shoot":"q.is_item_name_any('slot.weapon.mainhand','true:mk16_scope_6x') && q.main_hand_item_use_duration"
                  }
               ]
            },
            "shoot":{
               "on_entry":[
                  "/function guns/shoot/mk16_scope_6x_shoot"
               ],
               "transitions":[
                  {
                     "default":"q.all_animations_finished"
                  }
               ]
            }
         }
      }
   }
}